const http = require('http');
const routes = require('./routes');
const render = require('./renderer');

const handler = ((req, res) => {
  res.render = render;
  routes(req, res);
});

const server = http.createServer(handler);

module.exports = {
  start(PORT = 8080, options) {
    server.listen(PORT, (err) => {
      if (err) {
        return console.log(`Error - ${err}`);
      }
      console.log(`Server running at ${PORT}`);
    });
  }
};
